# CustomRenderable - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# CustomRenderable Class

Extends DisplayObject
Defined in: `src/pixi/extras/CustomRenderable.js:6`
Module: PIXI

Need to finalize this a bit more but works! Its in but will be working on this feature properly next..:)

## Constructor

### `CustomRenderable`

()

Defined in `src/pixi/extras/CustomRenderable.js:6`

- Index
- Methods
- Properties

## Item Index

### Methods

- click
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- setInteractive
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- alpha
- buttonMode
- hitArea
- parent
- pivot
- position
- rotation
- scale
- stage
- visible

## Methods

### `click`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:106`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `mousedown`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:112`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:138`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:132`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:118`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:125`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `setInteractive`

(

- `interactive`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:190`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

#### Parameters:

- `interactive` Boolean

### `tap`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:149`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:162`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:168`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Inherited from DisplayObject: `src/pixi/DisplayObject.js:156`

A callback that is used when the user touch's over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `alpha`

Number

Inherited from DisplayObject: `src/pixi/DisplayObject.js:40`

The opacity of the object.

### `buttonMode`

Boolean

Inherited from DisplayObject: `src/pixi/DisplayObject.js:95`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `hitArea`

Rectangle

Inherited from DisplayObject: `src/pixi/DisplayObject.js:69`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `parent`

DisplayObjectContainer

Inherited from DisplayObject: `src/pixi/DisplayObject.js:55`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Inherited from DisplayObject: `src/pixi/DisplayObject.js:26`

The pivot point of the displayObject that it rotates around

### `position`

Point

Inherited from DisplayObject: `src/pixi/DisplayObject.js:12`

The coordinate of the object relative to the local coordinates of the parent.

### `rotation`

Number

Inherited from DisplayObject: `src/pixi/DisplayObject.js:33`

The rotation of the object in radians.

### `scale`

Point

Inherited from DisplayObject: `src/pixi/DisplayObject.js:19`

The scale factor of the object.

### `stage`

Stage

Inherited from DisplayObject: `src/pixi/DisplayObject.js:62`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Inherited from DisplayObject: `src/pixi/DisplayObject.js:47`

The visibility of the object.